### Method

# Vips ArrayImage append

#### Declaration [src]

    VipsArrayImage*
    vips_array_image_append (
      VipsArrayImage* array,
      VipsImage* image
    )

#### Description [src]

Make a new `VipsArrayImage`, one larger than `array`, with `image` appended to the end. Handy with `vips_array_image_empty()` for bindings which can’t handle object array arguments.

See also

`vips_array_image_empty()`.

#### Parameters

`image`

  Type: `VipsImage`

  Add this.

  The data is owned by the caller of the method.

#### Return value

Type: `VipsArrayImage`

A new `VipsArrayImage`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.